## fs-onedatafs 21.02.0.alpha4.1.g7b1e2e4

=== debian/changelog ===
fs-onedatafs (21.02.0.alpha4.1.g7b1e2e4-1~xenial) xenial; urgency=low

  * Build from 21.02.0.alpha4.1.g7b1e2e4

 -- Onedata Package Maintainer <support@onedata.org>  Mon, 15 Mar 2021 20:37:38 +0100

=== debian/control ===
Source: fs-onedatafs
Maintainer: Bartek Kryza <bkryza@gmail.com>
Section: python
Priority: optional
Build-Depends: dh-python, git, python-setuptools (>= 0.6b3), python-all, python3-all, python-tox, python-pip, python3-pip, debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://github.com/onedata/fs-onedatafs

Package: python-fs-plugin-onedatafs
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python-onedatafs (>= 21.02.0.alpha4.1.gc8ab0a3)
Description: Onedata filesystem for PyFilesystem2
 OnedataFS is an implementation of PyFilesystem interface to Onedata
 virtual file system. OnedataFS allows you to work with Onedata using
 PyFilesystem API, directly without any local mountpoints.

Package: python3-fs-plugin-onedatafs
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha4.1.gc8ab0a3)
Description: Onedata filesystem for PyFilesystem2
 OnedataFS is an implementation of PyFilesystem interface to Onedata
 virtual file system. OnedataFS allows you to work with Onedata using
 PyFilesystem API, directly without any local mountpoints.

## fs-onedatafs 21.02.0.alpha4.3.gfaf0536

=== debian/changelog ===
fs-onedatafs (21.02.0.alpha4.3.gfaf0536-1~xenial) xenial; urgency=low

  * Build from 21.02.0.alpha4.3.gfaf0536

 -- Onedata Package Maintainer <support@onedata.org>  Tue, 23 Mar 2021 19:37:34 +0100

## fs-onedatafs 21.02.0.alpha5

=== debian/changelog ===
fs-onedatafs (21.02.0.alpha5-1~xenial) xenial; urgency=low

  * Build from 21.02.0.alpha5

 -- Onedata Package Maintainer <support@onedata.org>  Wed, 24 Mar 2021 13:35:36 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-onedatafs (>= 21.02.0.alpha4.1.gc8ab0a3)
+Depends: ${misc:Depends}, ${python:Depends}, python-onedatafs (>= 21.02.0.alpha5)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using
@@ -16,7 +16,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha4.1.gc8ab0a3)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha5)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.0.alpha5.2.g2651c11

=== debian/changelog ===
fs-onedatafs (21.02.0.alpha5.2.g2651c11-1~xenial) xenial; urgency=low

  * Build from 21.02.0.alpha5.2.g2651c11

 -- Onedata Package Maintainer <support@onedata.org>  Wed, 24 Mar 2021 22:01:34 +0100

## fs-onedatafs 21.02.0.alpha6

=== debian/changelog ===
fs-onedatafs (21.02.0.alpha6-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha6

 -- Onedata Package Maintainer <support@onedata.org>  Wed, 24 Mar 2021 20:47:26 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-onedatafs (>= 21.02.0.alpha5)
+Depends: ${misc:Depends}, ${python:Depends}, python-onedatafs (>= 21.02.0.alpha6)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using
@@ -16,7 +16,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha5)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha6)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.0.alpha6.7.gde08cb3

=== debian/changelog ===
fs-onedatafs (21.02.0.alpha6.7.gde08cb3-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha6.7.gde08cb3

 -- Onedata Package Maintainer <support@onedata.org>  Thu, 08 Apr 2021 20:55:03 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-onedatafs (>= 21.02.0.alpha6)
+Depends: ${misc:Depends}, ${python:Depends}, python-onedatafs (>= 21.02.0.alpha6.19.gd4e0d5e)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using
@@ -16,7 +16,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha6)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha6.19.gd4e0d5e)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.0.alpha7

=== debian/changelog ===
fs-onedatafs (21.02.0.alpha7-1~xenial) xenial; urgency=low

  * Build from 21.02.0.alpha7

 -- Onedata Package Maintainer <support@onedata.org>  Sun, 11 Apr 2021 14:45:07 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-onedatafs (>= 21.02.0.alpha6.19.gd4e0d5e)
+Depends: ${misc:Depends}, ${python:Depends}, python-onedatafs (>= 21.02.0.alpha7)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using
@@ -16,7 +16,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha6.19.gd4e0d5e)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha7)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.0.alpha7.5.g873f16c

=== debian/changelog ===
fs-onedatafs (21.02.0.alpha7.5.g873f16c-1~xenial) xenial; urgency=low

  * Build from 21.02.0.alpha7.5.g873f16c

 -- Onedata Package Maintainer <support@onedata.org>  Mon, 19 Apr 2021 21:35:10 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-onedatafs (>= 21.02.0.alpha7)
+Depends: ${misc:Depends}, ${python:Depends}, python-onedatafs (>= 21.02.0.alpha7.8.g20a0131)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using
@@ -16,7 +16,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha7)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha7.8.g20a0131)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.0.alpha7.9.gf848e6f

=== debian/changelog ===
fs-onedatafs (21.02.0.alpha7.9.gf848e6f-1~xenial) xenial; urgency=low

  * Build from 21.02.0.alpha7.9.gf848e6f

 -- Onedata Package Maintainer <support@onedata.org>  Wed, 21 Apr 2021 20:43:17 +0200

## fs-onedatafs 21.02.0.alpha8

=== debian/changelog ===
fs-onedatafs (21.02.0.alpha8-1~xenial) xenial; urgency=low

  * Build from 21.02.0.alpha8

 -- Onedata Package Maintainer <support@onedata.org>  Fri, 23 Apr 2021 22:37:03 +0200

## fs-onedatafs 21.02.0.alpha9.1.g3bb0e09

=== debian/changelog ===
fs-onedatafs (21.02.0.alpha9.1.g3bb0e09-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha9.1.g3bb0e09

 -- Onedata Package Maintainer <support@onedata.org>  Tue, 18 May 2021 21:44:16 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-onedatafs (>= 21.02.0.alpha7.8.g20a0131)
+Depends: ${misc:Depends}, ${python:Depends}, python-onedatafs (>= 21.02.0.alpha9.12.ge098b86)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using
@@ -16,7 +16,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha7.8.g20a0131)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha9.12.ge098b86)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.0.alpha10.2.g3e10c44

=== debian/changelog ===
fs-onedatafs (21.02.0.alpha10.2.g3e10c44-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha10.2.g3e10c44

 -- Onedata Package Maintainer <support@onedata.org>  Wed, 26 May 2021 21:06:09 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-onedatafs (>= 21.02.0.alpha9.12.ge098b86)
+Depends: ${misc:Depends}, ${python:Depends}, python-onedatafs (>= 21.02.0.alpha10.17.g245f0be)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using
@@ -16,7 +16,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha9.12.ge098b86)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha10.17.g245f0be)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.0.alpha11.1.ga7a99ca

=== debian/changelog ===
fs-onedatafs (21.02.0.alpha11.1.ga7a99ca-1~xenial) xenial; urgency=low

  * Build from 21.02.0.alpha11.1.ga7a99ca

 -- Onedata Package Maintainer <support@onedata.org>  Thu, 27 May 2021 20:45:17 +0200

## fs-onedatafs 21.02.0.alpha12.1.ge65df31

=== debian/changelog ===
fs-onedatafs (21.02.0.alpha12.1.ge65df31-1~xenial) xenial; urgency=low

  * Build from 21.02.0.alpha12.1.ge65df31

 -- Onedata Package Maintainer <support@onedata.org>  Mon, 31 May 2021 20:11:14 +0200

## fs-onedatafs 21.02.0.alpha13.1.g9210c5d

=== debian/changelog ===
fs-onedatafs (21.02.0.alpha13.1.g9210c5d-1~xenial) xenial; urgency=low

  * Build from 21.02.0.alpha13.1.g9210c5d

 -- Onedata Package Maintainer <support@onedata.org>  Fri, 04 Jun 2021 20:11:51 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-onedatafs (>= 21.02.0.alpha10.17.g245f0be)
+Depends: ${misc:Depends}, ${python:Depends}, python-onedatafs (>= 20.02.6.9.g90fef7e)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using
@@ -16,7 +16,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha10.17.g245f0be)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 20.02.6.9.g90fef7e)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.0.alpha13.5.g469d0a6

=== debian/changelog ===
fs-onedatafs (21.02.0.alpha13.5.g469d0a6-1~xenial) xenial; urgency=low

  * Build from 21.02.0.alpha13.5.g469d0a6

 -- Onedata Package Maintainer <support@onedata.org>  Mon, 14 Jun 2021 21:55:22 +0200

## fs-onedatafs 21.02.0.alpha21.9.gcfd01ab

=== debian/changelog ===
fs-onedatafs (21.02.0.alpha21.9.gcfd01ab-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha21.9.gcfd01ab

 -- Onedata Package Maintainer <support@onedata.org>  Mon, 16 Aug 2021 15:08:09 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-onedatafs (>= 20.02.6.9.g90fef7e)
+Depends: ${misc:Depends}, ${python:Depends}, python-onedatafs (>= 21.02.0.alpha19.19.g9d037ae)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using
@@ -16,7 +16,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 20.02.6.9.g90fef7e)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha19.19.g9d037ae)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.0.alpha21.12.g2eb831d

=== debian/changelog ===
fs-onedatafs (21.02.0.alpha21.12.g2eb831d-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha21.12.g2eb831d

 -- Onedata Package Maintainer <support@onedata.org>  Sat, 21 Aug 2021 20:08:02 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-onedatafs (>= 21.02.0.alpha19.19.g9d037ae)
+Depends: ${misc:Depends}, ${python:Depends}, python-onedatafs (>= 21.02.0.alpha20.39.gd068127)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using
@@ -16,7 +16,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha19.19.g9d037ae)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha20.39.gd068127)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.0.alpha22.34.g9ed74ef

=== debian/changelog ===
fs-onedatafs (21.02.0.alpha22.34.g9ed74ef-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha22.34.g9ed74ef

 -- Onedata Package Maintainer <support@onedata.org>  Tue, 16 Nov 2021 17:10:44 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python-onedatafs (>= 21.02.0.alpha20.39.gd068127)
+Depends: ${misc:Depends}, ${python:Depends}, python-onedatafs (>= 21.02.0.alpha22.100.g1183b78)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using
@@ -16,7 +16,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha20.39.gd068127)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha22.100.g1183b78)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.0.alpha26.3.g9ed9d9f

=== debian/changelog ===
fs-onedatafs (21.02.0.alpha26.3.g9ed9d9f-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha26.3.g9ed9d9f

 -- Onedata Package Maintainer <support@onedata.org>  Tue, 26 Jul 2022 20:03:26 +0200

=== debian/control ===
Source: fs-onedatafs
Maintainer: Bartek Kryza <bkryza@gmail.com>
Section: python
Priority: optional
Build-Depends: dh-python, git, python-setuptools (>= 0.6b3), python3-all, python-tox, python3-pip, debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://github.com/onedata/fs-onedatafs

Package: python3-fs-plugin-onedatafs
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha26.3.g5aadac5)
Description: Onedata filesystem for PyFilesystem2
 OnedataFS is an implementation of PyFilesystem interface to Onedata
 virtual file system. OnedataFS allows you to work with Onedata using
 PyFilesystem API, directly without any local mountpoints.

## fs-onedatafs 21.02.0.alpha27.9.gdb32a26

=== debian/changelog ===
fs-onedatafs (21.02.0.alpha27.9.gdb32a26-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha27.9.gdb32a26

 -- Onedata Package Maintainer <support@onedata.org>  Wed, 19 Oct 2022 21:16:40 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha26.3.g5aadac5)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha27.34.gb2a5f7d)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.0.alpha28.1.gd284422

=== debian/changelog ===
fs-onedatafs (21.02.0.alpha28.1.gd284422-1~bionic) bionic; urgency=low

  * Build from 21.02.0.alpha28.1.gd284422

 -- Onedata Package Maintainer <support@onedata.org>  Mon, 07 Nov 2022 20:42:08 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha27.34.gb2a5f7d)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha28.1.g097a43e)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.0.alpha28.3.gb86c096

=== Makefile ===
# distro for package building (oneof: xenial, centos-7-x86_64)
RELEASE               ?= 1802
DISTRIBUTION          ?= none
DOCKER_RELEASE        ?= development
DOCKER_REG_NAME       ?= "docker.onedata.org"
DOCKER_REG_USER       ?= ""
DOCKER_REG_PASSWORD   ?= ""
DOCKER_BASE_IMAGE     ?= "ubuntu:18.04"
DOCKER_DEV_BASE_IMAGE ?= "onedata/worker:2102-6"

PKG_REVISION      ?= $(shell git describe --tags --always)
PKG_VERSION       ?= $(shell git describe --tags --always | tr - .)
ONECLIENT_VERSION ?= $(PKG_VERSION)
PKG_COMMIT        ?= $(shell git rev-parse HEAD)
PKG_BUILD         ?= 1
PKG_ID             = fs-onedatafs-$(PKG_VERSION)

.PHONY: check_distribution
check_distribution:
ifeq ($(DISTRIBUTION), none)
	@echo "Please provide package distribution. Oneof: 'trusty', 'xenial', 'bionic', 'centos-7-x86_64'"
	@exit 1
else
	@echo "Building package for distribution $(DISTRIBUTION)"
endif


.PHONY: submodules
submodules:
	git submodule sync --recursive ${submodule}
	git submodule update --init --recursive ${submodule}

.PHONY: readme
readme:
	pandoc --from=markdown --to=rst --output=README.rst README.md

.PHONY: release
release: readme
	python setup.py sdist bdist_wheel

.PHONY: test
test:
	tox -e unit,flake8

.PHONY: clean
clean:
	python setup.py clean --all
	rm -rf package

.PHONY: docs
docs:
	cd docs && make html
	python -c "import os, webbrowser; webbrowser.open('file://' + os.path.abspath('./docs/_build/html/index.html'))"

package/$(PKG_ID).tar.gz:
	mkdir -p package
	rm -rf package/$(PKG_ID)
	git archive --format=tar --prefix=$(PKG_ID)/ $(PKG_REVISION) | (cd package && tar -xf -)
	find package/$(PKG_ID) -depth -name ".git" -exec rm -rf {} \;
	echo "set(GIT_VERSION ${PKG_REVISION})" > package/$(PKG_ID)/version.txt
	tar -C package -czf package/$(PKG_ID).tar.gz $(PKG_ID)

.PHONY: rpm
rpm: check_distribution package/$(PKG_ID).tar.gz
	rm -rf package/packages && mkdir -p package/packages

	cp pkg_config/fs-onedatafs-py3.spec package/fs-onedatafs-py3.spec
	cp pkg_config/data/__init__.py package/__init__.py

	patch -d package/ -p1 -i $(PKG_ID)/pkg_config/$(DISTRIBUTION).patch

	sed -i "s/{{version}}/$(PKG_VERSION)/g" package/fs-onedatafs-py3.spec
	sed -i "s/{{onedatafs_version}}/$(ONECLIENT_VERSION)/g" package/fs-onedatafs-py3.spec
	sed -i "s/{{build}}/$(PKG_BUILD)/g" package/fs-onedatafs-py3.spec

	mock --root $(DISTRIBUTION) --buildsrpm --spec package/fs-onedatafs-py3.spec --resultdir=package/packages \
		--sources package
	mock --root $(DISTRIBUTION) --resultdir=package/packages \
		--rebuild package/packages/onedata$(RELEASE)-python3-$(PKG_ID)*.src.rpm

.PHONY: deb
deb: check_distribution package/$(PKG_ID).tar.gz
	rm -rf package/packages && mkdir -p package/packages
	mv -f package/$(PKG_ID).tar.gz package/fs-onedatafs_$(PKG_VERSION).orig.tar.gz

	cp -R pkg_config/debian package/$(PKG_ID)/
	patch -d package/$(PKG_ID)/ -p1 -i pkg_config/$(DISTRIBUTION).patch
	sed -i "s/{{version}}/$(PKG_VERSION)/g" package/$(PKG_ID)/debian/changelog
	sed -i "s/{{build}}/$(PKG_BUILD)/g" package/$(PKG_ID)/debian/changelog
	sed -i "s/{{distribution}}/$(DISTRIBUTION)/g" package/$(PKG_ID)/debian/changelog
	sed -i "s/{{date}}/`date -R`/g" package/$(PKG_ID)/debian/changelog
	sed -i "s/{{onedatafs_version}}/$(ONECLIENT_VERSION)/g" package/$(PKG_ID)/debian/control

	cd package/$(PKG_ID) && sg sbuild -c "sbuild -sd $(DISTRIBUTION) -j$$(nproc)"
	mv package/*$(PKG_VERSION).orig.tar.gz package/packages/
	mv package/*$(PKG_VERSION)-$(PKG_BUILD)*.deb package/packages/
	mv package/*$(PKG_VERSION)-$(PKG_BUILD)*.dsc package/packages/
	mv package/*$(PKG_VERSION)-$(PKG_BUILD)*_amd64.changes package/packages/
	-mv package/*$(PKG_VERSION)-$(PKG_BUILD)*.debian.tar.xz package/packages/ || true

.PHONY: conda
conda: SHELL:=/bin/bash
conda: package/$(PKG_ID).tar.gz
	cp /tmp/.condarc $$HOME/.condarc
	cat $$HOME/.condarc
	mkdir -p package/conda
	mkdir -p package/conda-bld
	cp conda/* package/conda/
	sed -i "s|<<PKG_VERSION>>|$(PKG_VERSION)|g" package/conda/meta.yaml
	sed -i "s|<<ONECLIENT_VERSION>>|$(ONECLIENT_VERSION)|g" package/conda/meta.yaml
	sed -i "s|<<PKG_SOURCE>>|../$(PKG_ID).tar.gz|g" package/conda/meta.yaml
	source /opt/conda/bin/activate base && \
		PKG_VERSION=$(PKG_VERSION) CONDA_BLD_PATH=$$PWD/package/conda-bld \
		conda build --user onedata-devel --token "${CONDA_TOKEN}" ${CONDA_BUILD_OPTIONS} \
		package/conda
	echo "onedata-devel/fs.onedatafs/$(PKG_VERSION)/download/linux-64/fs.onedatafs-$(PKG_VERSION)-py39_0.tar.bz2" >> conda-pkg-list.txt

## fs-onedatafs 21.02.0.alpha28.19.g513a5ed

=== debian/changelog ===
fs-onedatafs (21.02.0.alpha28.19.g513a5ed-1~focal) focal; urgency=low

  * Build from 21.02.0.alpha28.19.g513a5ed

 -- Onedata Package Maintainer <support@onedata.org>  Fri, 24 Feb 2023 10:29:51 +0100

=== debian/control ===
Source: fs-onedatafs
Maintainer: Bartek Kryza <bkryza@gmail.com>
Section: python
Priority: optional
Build-Depends: dh-python, git, python-setuptools (>= 0.6b3), python3-all, tox, python3-pip, debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://github.com/onedata/fs-onedatafs

Package: python3-fs-plugin-onedatafs
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha28.57.gc28fd6a)
Description: Onedata filesystem for PyFilesystem2
 OnedataFS is an implementation of PyFilesystem interface to Onedata
 virtual file system. OnedataFS allows you to work with Onedata using
 PyFilesystem API, directly without any local mountpoints.

## fs-onedatafs 21.02.0.alpha28.21.gaf72bea

=== debian/changelog ===
fs-onedatafs (21.02.0.alpha28.21.gaf72bea-1~focal) focal; urgency=low

  * Build from 21.02.0.alpha28.21.gaf72bea

 -- Onedata Package Maintainer <support@onedata.org>  Tue, 28 Feb 2023 16:28:59 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha28.57.gc28fd6a)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha28.63.g802e356)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.0.alpha28.28.g6fc0ac3

=== debian/changelog ===
fs-onedatafs (21.02.0.alpha28.28.g6fc0ac3-1~focal) focal; urgency=low

  * Build from 21.02.0.alpha28.28.g6fc0ac3

 -- Onedata Package Maintainer <support@onedata.org>  Thu, 13 Apr 2023 21:36:26 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha28.63.g802e356)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha28.111.gbc2973d)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.1

=== debian/changelog ===
fs-onedatafs (21.02.1-1~focal) focal; urgency=low

  * Build from 21.02.1

 -- Onedata Package Maintainer <support@onedata.org>  Tue, 25 Apr 2023 15:37:30 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.0.alpha28.111.gbc2973d)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.1.1.g7ba0fa7)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.1.1.gc1a69cc

=== debian/changelog ===
fs-onedatafs (21.02.1.1.gc1a69cc-1~focal) focal; urgency=low

  * Build from 21.02.1.1.gc1a69cc

 -- Onedata Package Maintainer <support@onedata.org>  Thu, 25 May 2023 20:13:40 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.1.1.g7ba0fa7)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.1.20.g2a576ec)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.2

=== debian/changelog ===
fs-onedatafs (21.02.2-1~focal) focal; urgency=low

  * Build from 21.02.2

 -- Onedata Package Maintainer <support@onedata.org>  Tue, 20 Jun 2023 13:17:34 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.1.20.g2a576ec)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.2)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.2.4.gcb62f78

=== debian/changelog ===
fs-onedatafs (21.02.2.4.gcb62f78-1~focal) focal; urgency=low

  * Build from 21.02.2.4.gcb62f78

 -- Onedata Package Maintainer <support@onedata.org>  Fri, 28 Jul 2023 21:39:15 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.2)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.2.30.g910dc21)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.2.5.g47af1e2

=== debian/changelog ===
fs-onedatafs (21.02.2.5.g47af1e2-1~focal) focal; urgency=low

  * Build from 21.02.2.5.g47af1e2

 -- Onedata Package Maintainer <support@onedata.org>  Fri, 11 Aug 2023 20:05:06 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.2.30.g910dc21)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.2.34.gc760a36)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.2.6.g89b32a1

=== debian/changelog ===
fs-onedatafs (21.02.2.6.g89b32a1-1~focal) focal; urgency=low

  * Build from 21.02.2.6.g89b32a1

 -- Onedata Package Maintainer <support@onedata.org>  Wed, 23 Aug 2023 20:01:21 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.2.34.gc760a36)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.2.73.g04e78c6)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.3

=== debian/changelog ===
fs-onedatafs (21.02.3-1~focal) focal; urgency=low

  * Build from 21.02.3

 -- Onedata Package Maintainer <support@onedata.org>  Tue, 29 Aug 2023 16:27:27 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.2.73.g04e78c6)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.3)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.3.1.g9c80467

=== debian/changelog ===
fs-onedatafs (21.02.3.1.g9c80467-1~focal) focal; urgency=low

  * Build from 21.02.3.1.g9c80467

 -- Onedata Package Maintainer <support@onedata.org>  Tue, 29 Aug 2023 22:08:43 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.3)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.3.1.g12e5647)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.3.5.gb10ebd1

=== debian/changelog ===
fs-onedatafs (21.02.3.5.gb10ebd1-1~focal) focal; urgency=low

  * Build from 21.02.3.5.gb10ebd1

 -- Onedata Package Maintainer <support@onedata.org>  Thu, 05 Oct 2023 13:49:03 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.3.1.g12e5647)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.3.4.gb14d29d)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.3.6.gcb211f1

=== debian/changelog ===
fs-onedatafs (21.02.3.6.gcb211f1-1~focal) focal; urgency=low

  * Build from 21.02.3.6.gcb211f1

 -- Onedata Package Maintainer <support@onedata.org>  Tue, 31 Oct 2023 19:03:47 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.3.4.gb14d29d)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.3.10.gc635eda)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.3.8.ga7ee0e3

=== debian/changelog ===
fs-onedatafs (21.02.3.8.ga7ee0e3-1~focal) focal; urgency=low

  * Build from 21.02.3.8.ga7ee0e3

 -- Onedata Package Maintainer <support@onedata.org>  Sat, 20 Jan 2024 09:54:09 +0100

## fs-onedatafs 21.02.3.9.gf1e6538

=== debian/changelog ===
fs-onedatafs (21.02.3.9.gf1e6538-1~focal) focal; urgency=low

  * Build from 21.02.3.9.gf1e6538

 -- Onedata Package Maintainer <support@onedata.org>  Thu, 14 Mar 2024 14:32:07 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.3.10.gc635eda)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.3.43.g17c6e8e)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.3.10.ga1db34d

=== debian/changelog ===
fs-onedatafs (21.02.3.10.ga1db34d-1~focal) focal; urgency=low

  * Build from 21.02.3.10.ga1db34d

 -- Onedata Package Maintainer <support@onedata.org>  Thu, 29 Feb 2024 19:03:42 +0100

## fs-onedatafs 21.02.4

=== debian/changelog ===
fs-onedatafs (21.02.4-1~focal) focal; urgency=low

  * Build from 21.02.4

 -- Onedata Package Maintainer <support@onedata.org>  Thu, 29 Feb 2024 11:26:09 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.3.43.g17c6e8e)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.4)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.5

=== debian/changelog ===
fs-onedatafs (21.02.5-1~focal) focal; urgency=low

  * Build from 21.02.5

 -- Onedata Package Maintainer <support@onedata.org>  Tue, 18 Jun 2024 09:25:06 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.4)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.5)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.5.3.g8aa2a9e

=== debian/changelog ===
fs-onedatafs (21.02.5.3.g8aa2a9e-1~focal) focal; urgency=low

  * Build from 21.02.5.3.g8aa2a9e

 -- Onedata Package Maintainer <support@onedata.org>  Fri, 30 Aug 2024 20:42:46 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.5)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.5.9.g60c62b8)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.6

=== debian/changelog ===
fs-onedatafs (21.02.6-1~focal) focal; urgency=low

  * Build from 21.02.6

 -- Onedata Package Maintainer <support@onedata.org>  Wed, 04 Sep 2024 17:14:45 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.5.9.g60c62b8)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.6.6.gd99bf68)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.6.1.ga5079a8

=== debian/changelog ===
fs-onedatafs (21.02.6.1.ga5079a8-1~focal) focal; urgency=low

  * Build from 21.02.6.1.ga5079a8

 -- Onedata Package Maintainer <support@onedata.org>  Thu, 10 Oct 2024 20:02:55 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.6.6.gd99bf68)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.6.19.g79fd363)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.8

=== debian/changelog ===
fs-onedatafs (21.02.8-1~focal) focal; urgency=low

  * Build from 21.02.8

 -- Onedata Package Maintainer <support@onedata.org>  Thu, 28 Nov 2024 17:18:43 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.6.19.g79fd363)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.8)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.8.1.gc2501c4

=== debian/changelog ===
fs-onedatafs (21.02.8.1.gc2501c4-1~focal) focal; urgency=low

  * Build from 21.02.8.1.gc2501c4

 -- Onedata Package Maintainer <support@onedata.org>  Mon, 09 Dec 2024 19:03:39 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.8)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.8.11.g3d2ec0d)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.8.6.g57f36dd

=== debian/changelog ===
fs-onedatafs (21.02.8.6.g57f36dd-1~focal) focal; urgency=low

  * Build from 21.02.8.6.g57f36dd

 -- Onedata Package Maintainer <support@onedata.org>  Wed, 19 Feb 2025 19:05:09 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.8.11.g3d2ec0d)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.8.15.g6e92fa1)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.8.7.gcca05ff

=== debian/changelog ===
fs-onedatafs (21.02.8.7.gcca05ff-1~focal) focal; urgency=low

  * Build from 21.02.8.7.gcca05ff

 -- Onedata Package Maintainer <support@onedata.org>  Fri, 31 Jan 2025 17:39:53 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.8.15.g6e92fa1)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.8.30.g54c2927)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.8.9.g20a5a98

=== debian/changelog ===
fs-onedatafs (21.02.8.9.g20a5a98-1~focal) focal; urgency=low

  * Build from 21.02.8.9.g20a5a98

 -- Onedata Package Maintainer <support@onedata.org>  Fri, 07 Mar 2025 20:31:42 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.8.30.g54c2927)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.8.24.g3e59888)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.8.14.g6fc049b

=== debian/changelog ===
fs-onedatafs (21.02.8.14.g6fc049b-1~focal) focal; urgency=low

  * Build from 21.02.8.14.g6fc049b

 -- Onedata Package Maintainer <support@onedata.org>  Tue, 05 Aug 2025 20:45:06 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.8.24.g3e59888)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.8.43.gad6f4fe)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.8.15.g84343b0

=== debian/changelog ===
fs-onedatafs (21.02.8.15.g84343b0-1~focal) focal; urgency=low

  * Build from 21.02.8.15.g84343b0

 -- Onedata Package Maintainer <support@onedata.org>  Wed, 06 Aug 2025 20:03:01 +0200

## fs-onedatafs 21.02.8.17.g95ef69d

=== debian/changelog ===
fs-onedatafs (21.02.8.17.g95ef69d-1~focal) focal; urgency=low

  * Build from 21.02.8.17.g95ef69d

 -- Onedata Package Maintainer <support@onedata.org>  Wed, 27 Aug 2025 20:04:08 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.8.43.gad6f4fe)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.8.53.gf1ae536)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.8.18.g9bf0184

=== Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 # distro for package building (oneof: xenial, centos-7-x86_64)
-RELEASE               ?= 1802
+RELEASE               ?= 2102
 DISTRIBUTION          ?= none
 DOCKER_RELEASE        ?= development
 DOCKER_REG_NAME       ?= "docker.onedata.org"
 DOCKER_REG_USER       ?= ""
 DOCKER_REG_PASSWORD   ?= ""
-DOCKER_BASE_IMAGE     ?= "ubuntu:18.04"
-DOCKER_DEV_BASE_IMAGE ?= "onedata/worker:2102-6"
+DOCKER_BASE_IMAGE     ?= "ubuntu:20.04"
+DOCKER_DEV_BASE_IMAGE ?= "onedata/worker:2102-8"
 
 PKG_REVISION      ?= $(shell git describe --tags --always)
 PKG_VERSION       ?= $(shell git describe --tags --always | tr - .)
@@ -91,7 +91,7 @@
 	sed -i "s/{{date}}/`date -R`/g" package/$(PKG_ID)/debian/changelog
 	sed -i "s/{{onedatafs_version}}/$(ONECLIENT_VERSION)/g" package/$(PKG_ID)/debian/control
 
-	cd package/$(PKG_ID) && sg sbuild -c "sbuild -sd $(DISTRIBUTION) -j$$(nproc)"
+	cd package/$(PKG_ID) && sudo sg sbuild -c "sbuild -sd $(DISTRIBUTION) -j$$(nproc)"
 	mv package/*$(PKG_VERSION).orig.tar.gz package/packages/
 	mv package/*$(PKG_VERSION)-$(PKG_BUILD)*.deb package/packages/
 	mv package/*$(PKG_VERSION)-$(PKG_BUILD)*.dsc package/packages/

=== requirements.txt ===
fs
six

=== debian/changelog ===
fs-onedatafs (21.02.8.18.g9bf0184-1~focal) focal; urgency=low

  * Build from 21.02.8.18.g9bf0184

 -- Onedata Package Maintainer <support@onedata.org>  Tue, 09 Dec 2025 19:13:44 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.8.53.gf1ae536)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.8.60.g93d28a2)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.8.18.g497b6d2

=== debian/changelog ===
fs-onedatafs (21.02.8.18.g497b6d2-1~focal) focal; urgency=low

  * Build from 21.02.8.18.g497b6d2

 -- Onedata Package Maintainer <support@onedata.org>  Mon, 24 Mar 2025 12:53:42 +0100

## fs-onedatafs 21.02.8.21.ge6305bc

=== debian/changelog ===
fs-onedatafs (21.02.8.21.ge6305bc-1~focal) focal; urgency=low

  * Build from 21.02.8.21.ge6305bc

 -- Onedata Package Maintainer <support@onedata.org>  Mon, 24 Mar 2025 15:33:09 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.8.60.g93d28a2)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.8.40.ge968432)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.8.22.g77ad75a

=== debian/changelog ===
fs-onedatafs (21.02.8.22.g77ad75a-1~focal) focal; urgency=low

  * Build from 21.02.8.22.g77ad75a

 -- Onedata Package Maintainer <support@onedata.org>  Mon, 19 Jan 2026 12:48:13 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.8.40.ge968432)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.8.63.g91dee77)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.8.38.ge1daea7

=== debian/changelog ===
fs-onedatafs (21.02.8.38.ge1daea7-1~focal) focal; urgency=low

  * Build from 21.02.8.38.ge1daea7

 -- Onedata Package Maintainer <support@onedata.org>  Wed, 27 Aug 2025 10:33:36 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.8.63.g91dee77)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.8.158.g1f1a15d)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using

## fs-onedatafs 21.02.9

=== debian/changelog ===
fs-onedatafs (21.02.9-1~focal) focal; urgency=low

  * Build from 21.02.9

 -- Onedata Package Maintainer <support@onedata.org>  Wed, 10 Dec 2025 12:39:05 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 Package: python3-fs-plugin-onedatafs
 Architecture: all
-Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.8.158.g1f1a15d)
+Depends: ${misc:Depends}, ${python:Depends}, python3-onedatafs (>= 21.02.9)
 Description: Onedata filesystem for PyFilesystem2
  OnedataFS is an implementation of PyFilesystem interface to Onedata
  virtual file system. OnedataFS allows you to work with Onedata using
